package com.bocloud.cmp.model;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.powervc.HostSeaAdapterModel;
import com.bocloud.cmp.model.powervc.NetworkSeaAdaterModel;

import java.util.List;

/**
 * Powervc同步对象
 *
 * @author sxp
 * @since Mar 27, 2018
 */
public class PowervcSyncModel {
    private List<HmcHostModel> hmcs;
    private List<HostModel> hypervisors;
    private List<ServerModel> servers;
    private List<ClusterModel> clusters;
    private List<NetworkModel> networks;
    private List<StorageModel> storages;
    private List<VolumeModel> volumes;
    private List<VolumeTemplateModel> templates;
    private List<ImageModel> images;
    private List<FlavorModel> flavors;
    private List<PortModel> ports;
    private List<HostSeaAdapterModel> hostSeas;
    private List<NetworkSeaAdaterModel> networkSeas;
    private List<SanFabricModel> fabrics;

    public PowervcSyncModel() {
        super();
    }

    public List<HmcHostModel> getHmcs() {
        return hmcs;
    }

    public void setHmcs(List<HmcHostModel> hmcs) {
        this.hmcs = hmcs;
    }

    public List<HostModel> getHypervisors() {
        return hypervisors;
    }

    public void setHypervisors(List<HostModel> hypervisors) {
        this.hypervisors = hypervisors;
    }

    public List<ServerModel> getServers() {
        return servers;
    }

    public void setServers(List<ServerModel> servers) {
        this.servers = servers;
    }

    public List<NetworkModel> getNetworks() {
        return networks;
    }

    public void setNetworks(List<NetworkModel> networks) {
        this.networks = networks;
    }

    public List<VolumeModel> getVolumes() {
        return volumes;
    }

    public void setVolumes(List<VolumeModel> volumes) {
        this.volumes = volumes;
    }

    public List<ImageModel> getImages() {
        return images;
    }

    public void setImages(List<ImageModel> images) {
        this.images = images;
    }

    public List<FlavorModel> getFlavors() {
        return flavors;
    }

    public void setFlavors(List<FlavorModel> flavors) {
        this.flavors = flavors;
    }

    public List<PortModel> getPorts() {
        return ports;
    }

    public void setPorts(List<PortModel> ports) {
        this.ports = ports;
    }

    public List<VolumeTemplateModel> getTemplates() {
        return templates;
    }

    public void setTemplates(List<VolumeTemplateModel> templates) {
        this.templates = templates;
    }

    public List<StorageModel> getStorages() {
        return storages;
    }

    public void setStorages(List<StorageModel> storages) {
        this.storages = storages;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

    public List<ClusterModel> getClusters() {
        return clusters;
    }

    public void setClusters(List<ClusterModel> clusters) {
        this.clusters = clusters;
    }

    public List<HostSeaAdapterModel> getHostSeas() {
        return hostSeas;
    }

    public void setHostSeas(List<HostSeaAdapterModel> hostSeas) {
        this.hostSeas = hostSeas;
    }

    public List<NetworkSeaAdaterModel> getNetworkSeas() {
        return networkSeas;
    }

    public void setNetworkSeas(List<NetworkSeaAdaterModel> networkSeas) {
        this.networkSeas = networkSeas;
    }

    public List<SanFabricModel> getFabrics() {
        return fabrics;
    }

    public void setFabrics(List<SanFabricModel> fabrics) {
        this.fabrics = fabrics;
    }
}
